Upstream information

CVE-2017-6369 at MITRE

Description

Insufficient checks in the UDF subsystem in Firebird 2.5.x before 2.5.7 and 3.0.x before 3.0.2 allow remote authenticated users to execute code by using a 'system' entrypoint from fbudf.so.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1023990 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • firebird-devel >= 2.5.2.26539-15.1
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-671
SUSE-SLE-SDK-12-SP1-2017-671
SUSE-SLE-WE-12-SP1-2017-671
SUSE Linux Enterprise Desktop 12 SP2
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-671
SUSE-SLE-SDK-12-SP2-2017-671
SUSE-SLE-WE-12-SP2-2017-671
SUSE Linux Enterprise Desktop 12 SP3
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Desktop 12 SP4
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • firebird-devel >= 2.5.2.26539-15.1
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-671
SUSE-SLE-WE-12-SP1-2017-671
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-671
SUSE-SLE-WE-12-SP2-2017-671
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA firebird-classic-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA firebird-classic-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • firebird-devel >= 2.5.2.26539-15.1
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-671
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-671
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libfbembed-devel >= 2.5.2.26539-15.1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA firebird-classic-2.5.2.26539-15.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libfbembed-devel-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-WE-12-SP1-2017-671
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-671
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libfbembed2_5-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libfbembed2_5 >= 2.5.2.26539-15.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA firebird-classic-2.5.2.26539-15.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libfbembed2_5-2.5.2.26539-15.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Module for Package Hub 15 SP5 firebird Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP6 firebird Already fixed
SUSE Linux Enterprise Server 12 SP5 firebird-classic Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 firebird-classic Released
SUSE Linux Enterprise Software Bootstrap Kit 12 firebird Released
SUSE Linux Enterprise Software Development Kit 12 SP5 firebird-classic Released
SUSE Linux Enterprise Workstation Extension 12 SP5 firebird-classic Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 firebird Affected
SUSE Linux Enterprise Desktop 12 SP1 firebird Released
SUSE Linux Enterprise Desktop 12 SP1 firebird-classic Released
SUSE Linux Enterprise Desktop 12 SP2 firebird-classic Released
SUSE Linux Enterprise Server 12 firebird Affected
SUSE Linux Enterprise Server 12 SP1 firebird Released
SUSE Linux Enterprise Server 12 SP1 firebird-classic Released
SUSE Linux Enterprise Server 12 SP2 firebird-classic Released
SUSE Linux Enterprise Server for SAP Applications 12 firebird Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 firebird Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 firebird-classic Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 firebird-classic Released
SUSE Linux Enterprise Software Development Kit 12 firebird Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 firebird Released
SUSE Linux Enterprise Software Development Kit 12 SP1 firebird-classic Released
SUSE Linux Enterprise Software Development Kit 12 SP2 firebird-classic Released
SUSE Linux Enterprise Workstation Extension 12 SP1 firebird-classic Released
SUSE Linux Enterprise Workstation Extension 12 SP2 firebird-classic Released


SUSE Timeline for this CVE

CVE page created: Wed Feb 8 01:03:33 2017
CVE page last modified: Sat Jun 15 23:25:51 2024